import { MutableRefObject, ReactNode } from 'react';
export declare type Axis = 'x' | 'y';
export interface ScrollToIndex {
    (index?: number, alignTop?: boolean): void;
}
export interface ViewportListRef {
    scrollToIndex: ScrollToIndex;
}
export interface ViewportListProps {
    viewportRef: MutableRefObject<HTMLElement | null>;
    items?: Array<any>;
    itemMinSize: number;
    margin?: number;
    overscan?: number;
    axis?: Axis;
    initialIndex?: number;
    initialAlignToTop?: boolean | ScrollIntoViewOptions;
    children: (item: any, index: number) => ReactNode;
}
declare const ViewportList: import("react").ForwardRefExoticComponent<ViewportListProps & import("react").RefAttributes<ViewportListRef>>;
export default ViewportList;
